package com.nisum.offertransactionservice.client;

import com.nisum.offertransactionservice.config.FeignClientConfiguration;
import com.nisum.offertransactionservice.dto.PERequest;
import com.nisum.offertransactionservice.dto.PEResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = "${pe.application.name}", configuration = FeignClientConfiguration.class)
public interface FeignClientService {

    @PostMapping(value = "${endpoint.url.promotionEngineUrl}")
    ResponseEntity<PEResponse> callPEService(PERequest peRequest);
}
